PointOnCurveCollection Class

class NXOpen.Motion.PointOnCurveCollection

Bases: object

Represents a collection of point on curve objects

To obtain an instance of this class, refer to NXOpen.Motion.MotionManager

New in version NX6.0.0.

Methods

Method Description
CreatePointOnCurveBuilder Creates a NXOpen.Motion.PointOnCurveBuilder
FindObject Finds the NXOpen.Motion.PointOnCurve with the given name.

Method Detail

CreatePointOnCurveBuilder

PointOnCurveCollection.CreatePointOnCurveBuilder

Creates a NXOpen.Motion.PointOnCurveBuilder

Signature CreatePointOnCurveBuilder(pointOnCurve)

Parameters:pointOnCurve (NXOpen.Motion.PointOnCurve) – NXOpen.Motion.PointOnCurve to be edited, if None then create a new one
Returns:
Return type:NXOpen.Motion.PointOnCurveBuilder

New in version NX6.0.0.

License requirements: mechanisms (“MECHANISMS”)

FindObject

PointOnCurveCollection.FindObject

Finds the NXOpen.Motion.PointOnCurve with the given name.

An exception will be thrown if no object can be found with given name.

Signature FindObject(name)

Parameters:name (str) – The name of the NXOpen.Motion.PointOnCurve.
Returns:NXOpen.Motion.PointOnCurve with this name.
Return type:NXOpen.Motion.PointOnCurve

New in version NX6.0.0.

License requirements: mechanisms (“MECHANISMS”)